Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Sat, 25 Jan 2003 12:31:06 -0800

General comment: Math World defines set difference in exactly the way
that I first did, i.e. A\B == A {intersect} !B.

Sort of.

See http://mathworld.wolfram.com/ComplementSet.html

On Sat, Jan 25, 2003 at 05:21:54AM +0000, Martin Bays wrote:
> On Fri, 24 Jan 2003, Robin Lee Powell wrote:
> >
> > > And then if necessary, mexify them with na'u. Have you seen this
> > > translation by Nick Nicholas of the start of an abstract algebra
> > > book -
> > > http://www.lojban.org/files/texts/algebra
> > > - which goes some way towards doing that?
> >
> > I haven't yet read it. .u'uro'a
> >
> > I'll do that now.
> >
> > Hmmm. Nick seems to be using selcmipi'i for intersect, which is,
> > umm, insane, IMO. I prefer cec to selcmi, but even ignoring that,
> > pi'i doesn't even slightly match my concept if intersection;
> > cecysi'umi'u is my first try.
> 
> I have a feeling x fa'u + are sometimes used for intersection fa'u
> union when considering them as abstract algebraic operations - but I
> agree it's not intuitive. Anyway, I'd say selcmipi'i should be the
> Cartesian product.

I agree.

> How about kaxselcmi and vlinyselcmi? 

Ooh, I like those.

> Just an idea. I'm not sure I like using cec, by the way - to me it
> suggests finite sets, when we need a more general term.

OK, I can see your point there.

> Actually, I've just discovered that jo'e, ku'a and pi'u have rafsi (jom,
> kuz and piv) - though I'm not sure what to stick them to. I guess selcmi
> would have to do.

<nod> That still leaves us without set difference, but vlinyselcmi will
do.

> Now we need 2 or 3 versions of the operations - one for the
> union/intersection of two sets, one for countably many, and one over
> an arbitrary set. 

Heh. We do? 8) Oh, you're talking about little-upside-down-U versus
big-upside-down-U which acts like big Sigma.

> NN gives lujvo for the first two (selcmipi'i and sosyselcmipi'i). We
> might just want to have the second, since the first is a special case.
> The third, continuing the pattern, would I guess be sorselcmipi'i,
> with place structure "x1 is the intersection over x2" - i.e.
>
> go ca'e ko'a sorselcmipi'i ko'e
> gi ro da zo'u
> go da cmima ko'a gi da cmima ro de poi cmima ko'e

IFF I define X as the intersection over the set of sets? Y, then for all
x, IFF x is a member of X then x is a member of all y which are members
of Y.

Perhaps that "da cmima ro de" should be "da dunli de" (x is equal to one
of the sets in Y)?

> ...I think. Sim. for union. With that it *should* be possible to do
> all the basic set theory you want, though maybe not always elegantly.

Works for me so far. 8)

> Any idea, for example, how best to translate ('scuse amateur ASCII
> graphics):
> 
> | |
> | | A
> \_/ i
> i in I
> 
> ("The union over I of A sub i"), which is the same as
> 
> | |
> | | {A : i in I}
> \_/ i
> 
> where that big union is my sorselcmipi'i (or sorkuzselcmi)? Do we need
> yet another lujvo, or is there a nice translation of that set? I don't
> think {lu'i .abu boi xi .ibu poi .ibu cmima tau .ibu} really works.

The set of A_i where i is a member of I. Looks fine to me.

> Clues, anyone?

I think "sorkuzselcmi .abu boi xi da poi ro cmima tau .ibu" works a bit
better. Except it doesn't, because apparently you can't have xi da,
which is disturbing. 8P

> > > > > > I would like to translate something mathematical and
> > > > > > substantial; got any contacts that would like to let us
> > > > > > release a translated paper?
> > > > >
> > > > > Ummm... I guess I could ask someone. Can you be more specific?
> > > > > Do you just want some random high-powered maths research?
> > > >
> > > > What I'd *really* like to do would be a textbook (or, more
> > > > likely, a portion thereof), precisely for reasons of
> > > > comprehensibility.
> > > >
> > >
> > > That's actually a very good idea. What kind of subject do you
> > > want? I (very very vaguely) know the author of a nice+simple
> > > complex analysis book, which should be suited to mex. Or else name
> > > a subject and I'll see what I can do.
> >
> > Complex analysis would be cool. I'd also enjoy cryptography, set
> > theory, or subatomic physics. Game theory would be hella cool.
> >
> > Hmmm...
> >
> > My old Cryptography professor might actually be willing to let me do
> > his book. I was supremely fortunate to have
> > http://www.cacr.math.uwaterloo.ca/~ajmeneze/ as my crypto prof.
> >
> > Unfortunately, Handbook of Applied is already freely available,
> > which defeats part of my idea (translate something that people
> > wouldn't be able to easily get in English, at least without paying,
> > and might actually want).
> >
> 
> I'm afraid I don't have any tutors/lecturers who've written anything
> especially cool... but if the crypto thing doesn't work out give me a
> shout and I'll see if I can do 'owt.

'owt? Well, if you don't mind giving a shot at the complex analysis
thing, I'd appreciate it. I'll mail my crypto prof about his Elliptic
Curves book, if anyone's interested in reading a book on elliptic curve
cyphers. 8)

BTW, I'm nearly done with
http://www.digitalkingdom.org/~rlpowell/hobbies/lojban/algebra.txt

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi